This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 42960

Summary: Confusion if two Code Completion DB items cover different versions of the same classes
Product: editor Reporter: Antonin Nebuzelsky <anebuzelsky>
Component: -- Other --Assignee: issues@editor <issues>
Status: RESOLVED WONTFIX    
Severity: blocker CC: dkonecny
Priority: P3 Keywords: UI
Version: 4.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on: 42068    
Bug Blocks: 41448    

Description Antonin Nebuzelsky 2004-05-08 16:02:37 UTC
Scenario:
1) open a project with first version of classes
(e.g. a branch checkout of the same module)
2) work with the project
3) close the project
4) open a project with second version of classes
(e.g. trunk checkout of a module)

Code Completion Database Manager dialog lists
parsed files of both versions. This introduces a
confusion.

For example Go To Class (fast open) dialog lists
two entries for each class you search for. In
addition, if you select the entry for not open
project's class, you get an error "Source FOO not
found in Filesystems".

This could be solved for example by adding a
column "Enabled" in the Code Completion Database
Manager. This flag could be off for items of not
open projects.
Comment 1 Jesse Glick 2004-05-08 21:01:48 UTC
It's supposed to only offer DBs from open projects.
Comment 2 David Konecny 2004-05-09 11:29:31 UTC
First, this issue most probably will not get fixed as it is irrelevant
in after-MDR world. Anyway here is couple of comments:

"Code Completion Database Manager dialog lists
parsed files of both versions. This introduces a
confusion." - what confusion? There should be two items with different
paths, something like:
- D:\dev\stable\ant\src
- D:\dev\release36\ant\src

As for the "Go To Class": sounds like bug. That should work according
to list of opened projects. If you have opened both ant from trunk and
release36 then yes you will get some classes twice. But if you close
release36 ant then everything should be OK - only once class should be
offered. I'm sure I was testing this, but probably it got broken.
Don't know.
Comment 3 Antonin Nebuzelsky 2004-05-10 09:09:50 UTC
Yes, then it is a bug in Go To Class dialog.
Comment 4 Martin Roskanin 2004-05-10 13:31:43 UTC
It works correctly in meta_stavbicka branch.
I will add a dependency to issue #42068. After merging meta_stavbicka
to trunk, this issue could be closed.
Comment 5 Martin Roskanin 2004-06-07 12:02:51 UTC
I am closing it... meta_stavbicka was merged to maintrunk